#
# spec file for package kubectx
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kubectx
Version:        0.9.5
Release:        1.4
Summary:        Faster way to switch between clusters and namespaces in kubectl
License:        Apache-2.0
URL:            https://github.com/ahmetb/kubectx
Source:         kubectx-%{version}.tar.gz
BuildRequires:  go >= 1.13
BuildArch:      noarch

%description
kubectx is a utility to manage and switch between kubectl(1) contexts.

%prep
%setup -q

%build
sed -i '/^#!/ s/env\ bash/bash/' %{name}

%install
# Install the script.
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Fri Jul 14 2023 kastl@b1-systems.de
- Update to version 0.9.5:
  * Release v0.9.5
  * k8s.io & go version bump (#393)
  * Modify oh-my-zsh example (#346)
  * fix go.sum tidy
  * Fix README.md "alias" to "rename" (#375)
  * Windows installation instructions (winget) (#365) (#381)
  * Add prerequisite for completion to work after brew install
    (#368)
  * Bump golang.org/x/sys to fix compilation on M1 macs (#360)
  * Windows installation instructions (Chocolatey) (#350)
  * Run Go 1.17 mod tiny (#336)
  * Fix typo on README.md (#341)
  * add build cache to actions (#339)
  * README.md: HTTP => HTTPS (#337)
  * go mod tidy
  * Bump Go to 1.17 in GHA (#335)
  * overhaul the readme
  * Make Completions Installable with Antibody (#263)
  * Update README.md
  * Wrap context names in single quotes to prevent completion
    script to fail (#316)
  * docs: fix starchart url (#306)
  * Add s390x build (#270)
  * Add interactive delete op (#304)
  * Release v0.9.4
* Fri Jan  7 2022 kastl@b1-systems.de
- Update to version 0.9.4:
  * stop using XDG_CACHE_HOME as home directory (#299)
  * add -V/--version flag to go implementations (#295)
* Wed May 26 2021 Johannes Kastl <kastl@b1-systems.de>
- rework spec with recommendations from SR#895481
* Tue May 18 2021 Johannes Kastl <kastl@b1-systems.de>
- initial version of kubectx
